Bug 1248485 - [New] - Add a point in the install guide to move host to maintenance before enabling selinux on the RHGS nodes managed via console.
[New] - Add a point in the install guide to move host to maintenance before e...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Console_Installation_Guide (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anjana Suparna Sriram
storage-qa-internal@redhat.com
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 07:46 EDT by RamaKasturi
Modified: 2017-11-17 00:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-07-30 07:46:04 EDT
Description of problem:
vdsm fails to start when user tries to change selinux from disabled to permissive mode and following is seen in the /var/log/boot.log

libvirt is already configured for vdsm
Modules sebool are not configured
Error:

One of the modules is not configured to work with VDSM.
To configure the module use the following:
'vdsm-tool configure [--module module-name]'.

If all modules are not configured try to use:
'vdsm-tool configure --force'
(The force flag will stop the module's service and start it
afterwards automatically to load the new configuration.)


 vdsm: stopped during execute check_is_configured task (task returned with error code 1).
vdsm start^[[60G[^[[0;31mFAILED^[[0;39m]^M


This issue occurs only for the first time when user upgrades 3.0.4 to 3.1 and changes selinux from disabled to permissive. Once user runs vdsm-tool configure --force and starts vdsm / reinstall the node from UI this issue will not be seen when user switches between disabled to permissive and permissive to disabled.


Version-Release number of selected component (if applicable):
rhsc-3.1.0-0.62.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Add 3.0.4 nodes to console
2. Upgrade RHGS nodes from 3.0.4 to 3.1
3. Now change the selinux from disabled to permissive and reboot the system
4. Nodes in console goes to non responsive mode.

Actual results:
vdsm does not restart sucessfully, but running 'vdsm-tool configure --force' on rhgs brings vdsm up or reinstalling the nodes brings up the nodes.

Expected results:
vdsm should be restarted sucessfully.

Additional info:
Comment 2 RamaKasturi 2015-07-30 08:06:51 EDT
In 3.1.6.1. Enabling SELinux section add a step which says put the RHGS nodes added to console into maintenance and reinstall the nodes once selinux configuration has been done.
Comment 4 RamaKasturi 2015-12-28 04:04:29 EST
Looks good to me
Comment 5 Anjana Suparna Sriram 2015-12-28 04:05:39 EST
Based on Comment 4, moving the bug ON_QA
Comment 6 Triveni Rao 2015-12-28 07:31:50 EST
Documentation is clear and closing it as verified

Note You need to log in before you can comment on or make changes to this bug.